Bug 241677 - tcpdump -Z -C should drop root privileges completely
Summary: tcpdump -Z -C should drop root privileges completely
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tcpdump   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Miroslav Lichvar
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-29 14:54 UTC by Miroslav Lichvar
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2007-0368
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 15:33:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0368 normal SHIPPED_LIVE Moderate: tcpdump security and bug fix update 2007-11-07 16:18:24 UTC

Description Miroslav Lichvar 2007-05-29 14:54:23 UTC
Description of problem:
tcpdump sets only effective uid and gid when -Z option is used (enabled by
default) with -C option. It is a result of the patch for bug #176010.

Setting only euid removes an extra security layer that might otherwise have
mitigated an eventual security problem.

A better solution for the bug is to call setuid() before the first file is
opened, then all files will have pcap owner and tcpdump can drop root privileges
completely.

Version-Release number of selected component (if applicable):
tcpdump-3.9.4-8.1

Steps to Reproduce:
1. tcpdump -C 1 -w dump
2. cat /proc/{tcpdump}/status | grep Uid
  
Actual results:
Uid:	0	77	0	77

Expected results:
Uid:	77	77	77	77

Comment 1 RHEL Product and Program Management 2007-05-29 15:04:20 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 errata-xmlrpc 2007-11-07 15:33:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0368.html



Note You need to log in before you can comment on or make changes to this bug.